BT

如何利用碎片时间提升技术认知与能力? 点击获取答案

Ruby 1.9.1即将到来:是时候从1.8.x进行迁移了?

| 作者 Werner Schuster 关注 9 他的粉丝 ,译者 李明(nasi) 关注 0 他的粉丝 发布于 2009年1月28日. 估计阅读时间: 2 分钟 | QCon上海2018 关注大数据平台技术选型、搭建、系统迁移和优化的经验。

Ruby 1.9.0发布的一年之后,还没见到太多人使用。其中的一些原因包括和流行的程序库及框架的不兼容,以及一些行为的变化等等。 David A. Black最近发表了一篇博文,介绍了1.9.x的变化之中开发者们所要关注的部分,以及某些精巧的、可以破坏软件正常运行的方法(InfoQ报道过很多其他的Ruby 1.9变化)。

现在,Ruby 1.9.1作为第一个稳定发布版,即将正式亮相。Ruby 1.9.1 RC1于几周之前推出,RC2也马上就要发布。就目前的计划,最终的Ruby 1.9.1将于一月末正式发布。

稳定的1.9.1给了我们一个理由来近距离观察1.9.x的运行情况,并期待着速度的提升。一些诸如纤程等特性可以提升可伸缩性(例如用于数据库访问或者I/O的NeverBlock)或者可以用来做一些变通(例如NeverBlock HTTP程序库)。

Ruby 1.9.x这个版本还能够为项目增添新的特性或者增加Ruby的用途。最近报道的Rhodes框架Rhodes框架的0.2版本目前已经发布)就利用到Ruby 1.9.x版本中对于一些移动平台的支持来开发无线应用。
另一个实例就是MacRuby, 它也将会发布新版本。MacRuby基于Ruby 1.9.x,关注与Objective-C的紧密集成,比如诸如字符串这样的对象实际上就是Objective-C的字符串对象。这种紧密集成使的无损调用Objective-C的API成为可能,而且还可以使用Objective-C的垃圾回收器(Objective-C的GC(Autozone)最近已经开源)。

JRuby的目标就是支持1.9.x,完整的解析和部分程序库的支持已经实现在1.1.6之中,其他的实现(MacRuby除外)对于1.9.x的支持则还相对滞后。

是什么使你依然使用Rub 1.8.x?哪些Ruby 1.9.x的特性(性能、纤程、线程上的变化和编码方面的修改等等)会促使你进行迁移呢?

查看英文原文:Ruby 1.9.1 Is Close - Time To Switch From 1.8.x?

评价本文

专业度
风格

您好,朋友!

您需要 注册一个InfoQ账号 或者 才能进行评论。在您完成注册后还需要进行一些设置。

获得来自InfoQ的更多体验。

告诉我们您的想法

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我
社区评论

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

允许的HTML标签: a,b,br,blockquote,i,li,pre,u,ul,p

当有人回复此评论时请E-mail通知我

讨论

登陆InfoQ,与你最关心的话题互动。


找回密码....

Follow

关注你最喜爱的话题和作者

快速浏览网站内你所感兴趣话题的精选内容。

Like

内容自由定制

选择想要阅读的主题和喜爱的作者定制自己的新闻源。

Notifications

获取更新

设置通知机制以获取内容更新对您而言是否重要

BT